<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsFilterProfile Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_xs_filter_profile-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsFilterProfile Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains information about an available filter profile.  
 <a href="struct_xs_filter_profile.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad65aaa931bea1970e1fc1eed33cb9479"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#ad65aaa931bea1970e1fc1eed33cb9479">XsFilterProfile</a> (uint8_t type_=0, uint8_t version_=0, const char *label_=0, char filterType_=0, uint8_t filterMajor_=0, uint8_t filterMinor_=0)</td></tr>
<tr class="memdesc:ad65aaa931bea1970e1fc1eed33cb9479"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a filter profile object.  <a href="#ad65aaa931bea1970e1fc1eed33cb9479">More...</a><br /></td></tr>
<tr class="separator:ad65aaa931bea1970e1fc1eed33cb9479"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a034bfbf89566183d6d60685f3a25a7ea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a034bfbf89566183d6d60685f3a25a7ea">XsFilterProfile</a> (const <a class="el" href="struct_xs_filter_profile.html">XsFilterProfile</a> &amp;other)</td></tr>
<tr class="memdesc:a034bfbf89566183d6d60685f3a25a7ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor for a filter profile object.  <a href="#a034bfbf89566183d6d60685f3a25a7ea">More...</a><br /></td></tr>
<tr class="separator:a034bfbf89566183d6d60685f3a25a7ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab86563075234b36e5b3a519b97fe37d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab86563075234b36e5b3a519b97fe37d8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#ab86563075234b36e5b3a519b97fe37d8">~XsFilterProfile</a> ()</td></tr>
<tr class="memdesc:ab86563075234b36e5b3a519b97fe37d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy the filter profile. <br /></td></tr>
<tr class="separator:ab86563075234b36e5b3a519b97fe37d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5695e735975baf6924650c27dd61c07b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a5695e735975baf6924650c27dd61c07b">empty</a> ()</td></tr>
<tr class="memdesc:a5695e735975baf6924650c27dd61c07b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if the filter profile is empty.  <a href="#a5695e735975baf6924650c27dd61c07b">More...</a><br /></td></tr>
<tr class="separator:a5695e735975baf6924650c27dd61c07b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4ebef0eb287b06caf910ec58997208b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_string.html">XsString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#ad4ebef0eb287b06caf910ec58997208b">toString</a> ()</td></tr>
<tr class="memdesc:ad4ebef0eb287b06caf910ec58997208b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts filter profile version and type information to string.  <a href="#ad4ebef0eb287b06caf910ec58997208b">More...</a><br /></td></tr>
<tr class="separator:ad4ebef0eb287b06caf910ec58997208b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a231fc84875b93c1aaba6392c7ae804f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a231fc84875b93c1aaba6392c7ae804f4"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a231fc84875b93c1aaba6392c7ae804f4">type</a> () const </td></tr>
<tr class="memdesc:a231fc84875b93c1aaba6392c7ae804f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The filter profile type. <br /></td></tr>
<tr class="separator:a231fc84875b93c1aaba6392c7ae804f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01883351031c177a1f338f5de2d2c4b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a01883351031c177a1f338f5de2d2c4b3"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a01883351031c177a1f338f5de2d2c4b3">version</a> () const </td></tr>
<tr class="memdesc:a01883351031c177a1f338f5de2d2c4b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The filter profile version. <br /></td></tr>
<tr class="separator:a01883351031c177a1f338f5de2d2c4b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e09b27b2535eac887ca6767154199d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e09b27b2535eac887ca6767154199d7"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a0e09b27b2535eac887ca6767154199d7">label</a> () const </td></tr>
<tr class="memdesc:a0e09b27b2535eac887ca6767154199d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The filter profile name. <br /></td></tr>
<tr class="separator:a0e09b27b2535eac887ca6767154199d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9132d6e232e941d956827b5b0a5f871"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9132d6e232e941d956827b5b0a5f871"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#ac9132d6e232e941d956827b5b0a5f871">filterType</a> () const </td></tr>
<tr class="memdesc:ac9132d6e232e941d956827b5b0a5f871"><td class="mdescLeft">&#160;</td><td class="mdescRight">The filter type this filter profile is for. <br /></td></tr>
<tr class="separator:ac9132d6e232e941d956827b5b0a5f871"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81ccdd2b71e892ee4a5c881dec65e306"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a81ccdd2b71e892ee4a5c881dec65e306"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a81ccdd2b71e892ee4a5c881dec65e306">filterMajor</a> () const </td></tr>
<tr class="memdesc:a81ccdd2b71e892ee4a5c881dec65e306"><td class="mdescLeft">&#160;</td><td class="mdescRight">The major version of the compatible filter. <br /></td></tr>
<tr class="separator:a81ccdd2b71e892ee4a5c881dec65e306"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d7269a391c7f289e0271f7adc8a2f62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d7269a391c7f289e0271f7adc8a2f62"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a4d7269a391c7f289e0271f7adc8a2f62">filterMinor</a> () const </td></tr>
<tr class="memdesc:a4d7269a391c7f289e0271f7adc8a2f62"><td class="mdescLeft">&#160;</td><td class="mdescRight">The minor version of the compatible filter. <br /></td></tr>
<tr class="separator:a4d7269a391c7f289e0271f7adc8a2f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39b6c049cdb90d54bee88f977fd84120"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a39b6c049cdb90d54bee88f977fd84120">setType</a> (uint8_t type_)</td></tr>
<tr class="memdesc:a39b6c049cdb90d54bee88f977fd84120"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the type of the filter profile to <em>type_</em>.  <a href="#a39b6c049cdb90d54bee88f977fd84120">More...</a><br /></td></tr>
<tr class="separator:a39b6c049cdb90d54bee88f977fd84120"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8865f2053b93d300c1186ca3fa5aead"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#ad8865f2053b93d300c1186ca3fa5aead">setVersion</a> (uint8_t version_)</td></tr>
<tr class="memdesc:ad8865f2053b93d300c1186ca3fa5aead"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the version of the filter profile to <em>version_</em>.  <a href="#ad8865f2053b93d300c1186ca3fa5aead">More...</a><br /></td></tr>
<tr class="separator:ad8865f2053b93d300c1186ca3fa5aead"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a199e6c9be93d052c6a05cb29f2a4686d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a199e6c9be93d052c6a05cb29f2a4686d">setLabel</a> (const char *label_)</td></tr>
<tr class="memdesc:a199e6c9be93d052c6a05cb29f2a4686d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the label of the filter profile <em>label_</em>.  <a href="#a199e6c9be93d052c6a05cb29f2a4686d">More...</a><br /></td></tr>
<tr class="separator:a199e6c9be93d052c6a05cb29f2a4686d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c5bb47c80d9f02c3556e3d61d1e3f96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a8c5bb47c80d9f02c3556e3d61d1e3f96">setFilterType</a> (char filterType_)</td></tr>
<tr class="memdesc:a8c5bb47c80d9f02c3556e3d61d1e3f96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the filter type of this filter profile to <em>filterType_</em>.  <a href="#a8c5bb47c80d9f02c3556e3d61d1e3f96">More...</a><br /></td></tr>
<tr class="separator:a8c5bb47c80d9f02c3556e3d61d1e3f96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4a7ff81f0eb3bf7073c0447268a8f31"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#ae4a7ff81f0eb3bf7073c0447268a8f31">setFilterVersion</a> (uint8_t major_, uint8_t minor_)</td></tr>
<tr class="memdesc:ae4a7ff81f0eb3bf7073c0447268a8f31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the filter version of this filter profile to <em>major_</em>, <em>minor_</em>.  <a href="#ae4a7ff81f0eb3bf7073c0447268a8f31">More...</a><br /></td></tr>
<tr class="separator:ae4a7ff81f0eb3bf7073c0447268a8f31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a09956e1a1aefd8691b52fdaa880bd1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a09956e1a1aefd8691b52fdaa880bd1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a3a09956e1a1aefd8691b52fdaa880bd1">swap</a> (<a class="el" href="struct_xs_filter_profile.html">XsFilterProfile</a> &amp;other)</td></tr>
<tr class="memdesc:a3a09956e1a1aefd8691b52fdaa880bd1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Swap the contents with <em>other</em>. <br /></td></tr>
<tr class="separator:a3a09956e1a1aefd8691b52fdaa880bd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9bfd741e1f975391643dcfcdadbe70d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9bfd741e1f975391643dcfcdadbe70d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#ab9bfd741e1f975391643dcfcdadbe70d">operator==</a> (const <a class="el" href="struct_xs_filter_profile.html">XsFilterProfile</a> &amp;other) const </td></tr>
<tr class="memdesc:ab9bfd741e1f975391643dcfcdadbe70d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if the filter profile type and version are identical to those of <em>other</em>. <br /></td></tr>
<tr class="separator:ab9bfd741e1f975391643dcfcdadbe70d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ae5c7994d277d32817d65adbf9270233c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5c7994d277d32817d65adbf9270233c"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#ae5c7994d277d32817d65adbf9270233c">m_type</a></td></tr>
<tr class="memdesc:ae5c7994d277d32817d65adbf9270233c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the filter profile. When set to 255 in an operation, the 'current' filter profile is used. <br /></td></tr>
<tr class="separator:ae5c7994d277d32817d65adbf9270233c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f2a224b8b4905350c84cb4ca42a3e45"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f2a224b8b4905350c84cb4ca42a3e45"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a3f2a224b8b4905350c84cb4ca42a3e45">m_version</a></td></tr>
<tr class="memdesc:a3f2a224b8b4905350c84cb4ca42a3e45"><td class="mdescLeft">&#160;</td><td class="mdescRight">The version of the filter profile. <br /></td></tr>
<tr class="separator:a3f2a224b8b4905350c84cb4ca42a3e45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa446cf82ce9b6f7bb4a316558ed3c74d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa446cf82ce9b6f7bb4a316558ed3c74d"></a>
char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#aa446cf82ce9b6f7bb4a316558ed3c74d">m_label</a> [(20+1)]</td></tr>
<tr class="memdesc:aa446cf82ce9b6f7bb4a316558ed3c74d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The label of the filter profile. <br /></td></tr>
<tr class="separator:aa446cf82ce9b6f7bb4a316558ed3c74d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8241bb9e0ca24946560e941856339c54"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a8241bb9e0ca24946560e941856339c54">m_filterType</a></td></tr>
<tr class="memdesc:a8241bb9e0ca24946560e941856339c54"><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the XKF filter this filter profile is intended for '3': XKF-3, '6': XKF-6.  <a href="#a8241bb9e0ca24946560e941856339c54">More...</a><br /></td></tr>
<tr class="separator:a8241bb9e0ca24946560e941856339c54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc2c65d7b532f563077ef58457633dbf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc2c65d7b532f563077ef58457633dbf"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#acc2c65d7b532f563077ef58457633dbf">m_filterMajor</a></td></tr>
<tr class="memdesc:acc2c65d7b532f563077ef58457633dbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">The major version of the XKF filter this filter profile is intended for. <br /></td></tr>
<tr class="separator:acc2c65d7b532f563077ef58457633dbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eb48f12946fae4e531f98340dfd9ff8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4eb48f12946fae4e531f98340dfd9ff8"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_filter_profile.html#a4eb48f12946fae4e531f98340dfd9ff8">m_filterMinor</a></td></tr>
<tr class="memdesc:a4eb48f12946fae4e531f98340dfd9ff8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The minor version of the XKF filter this filter profile is intended for. <br /></td></tr>
<tr class="separator:a4eb48f12946fae4e531f98340dfd9ff8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains information about an available filter profile. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad65aaa931bea1970e1fc1eed33cb9479"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsFilterProfile::XsFilterProfile </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>type_</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>version_</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>label_</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>filterType_</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>filterMajor_</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>filterMinor_</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Construct a filter profile object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">type_</td><td>the profile type </td></tr>
    <tr><td class="paramname">version_</td><td>the profile version </td></tr>
    <tr><td class="paramname">label_</td><td>the profile name </td></tr>
    <tr><td class="paramname">filterType_</td><td>the filter type this profile is for </td></tr>
    <tr><td class="paramname">filterMajor_</td><td>the major version of the compatible filter </td></tr>
    <tr><td class="paramname">filterMinor_</td><td>the minor version of the compatible filter </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a034bfbf89566183d6d60685f3a25a7ea"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsFilterProfile::XsFilterProfile </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_filter_profile.html">XsFilterProfile</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Copy constructor for a filter profile object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>the filter profile object to construct a copy of </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a5695e735975baf6924650c27dd61c07b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsFilterProfile::empty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Checks if the filter profile is empty. </p>
<dl class="section return"><dt>Returns</dt><dd>true if the filter profile is empty </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga40cbadc927588c9501eee5aaf4411c83" title="Checks if the filter profile is empty. ">XsFilterProfile_empty</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a8c5bb47c80d9f02c3556e3d61d1e3f96"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsFilterProfile::setFilterType </td>
          <td>(</td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>filterType_</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the filter type of this filter profile to <em>filterType_</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filterType_</td><td>the new filter type </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae4a7ff81f0eb3bf7073c0447268a8f31"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsFilterProfile::setFilterVersion </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>major_</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>minor_</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the filter version of this filter profile to <em>major_</em>, <em>minor_</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">major_</td><td>the major version number </td></tr>
    <tr><td class="paramname">minor_</td><td>the minor version number </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a199e6c9be93d052c6a05cb29f2a4686d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsFilterProfile::setLabel </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>label_</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the label of the filter profile <em>label_</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">label_</td><td>the new label of the filter profile </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a39b6c049cdb90d54bee88f977fd84120"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsFilterProfile::setType </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>type_</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the type of the filter profile to <em>type_</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">type_</td><td>the new type of the filter profile </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad8865f2053b93d300c1186ca3fa5aead"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsFilterProfile::setVersion </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>version_</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the version of the filter profile to <em>version_</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">version_</td><td>the new label of the filter profile </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad4ebef0eb287b06caf910ec58997208b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_string.html">XsString</a> XsFilterProfile::toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Converts filter profile version and type information to string. </p>
<dl class="section return"><dt>Returns</dt><dd>a string representation of this filter profile </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga8a0d2a6dd76dda6f997d2365557a711b" title="Converts filter profile version and type information to string. ">XsFilterProfile_toString</a> </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a8241bb9e0ca24946560e941856339c54"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char XsFilterProfile::m_filterType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The type of the XKF filter this filter profile is intended for '3': XKF-3, '6': XKF-6. </p>
<dl class="section note"><dt>Note</dt><dd>The value is a character, so XKF-3 is '3', which is hex 0x33 </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
